Bug 134732 - poor configuration of ATI Radeon 7000/VE
poor configuration of ATI Radeon 7000/VE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-05 15:54 EDT by Bob T.
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 15:24:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.66 KB, text/plain)
2004-10-21 07:44 EDT, Bob T.
no flags Details
Xorg.0.log without Option "NoDDC" "true" (47.78 KB, text/plain)
2004-10-21 07:45 EDT, Bob T.
no flags Details
Xorg.0.log with Option "NoDDC" "true" (37.09 KB, text/plain)
2004-10-21 07:46 EDT, Bob T.
no flags Details

  None (edit)
Description Bob T. 2004-10-05 15:54:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040916
Firefox/0.10

Description of problem:
I was unable to get anything beyond a default fail-safe Mode until I
added  Option "NoDDC" "true" to the video-card section of xorg.conf. 
This is with a Sony CPD-E200 monitor. This option isn't even
documented: I had to infer its existence from the documentation of the
IgnoreEDID option. And system-config-display simply hangs without that
option. 

Version-Release number of selected component (if applicable):
6.7.0-9

How reproducible:
Always

Steps to Reproduce:
1. remove NoDDC option (for radeon or ati driver)
2. startx
3.
    

Actual Results:  640x480 at 60 hz

Expected Results:  1024x768 at 85 hz

Additional info:

Here is the relevant section of Xorg.0.log:

(II) RADEON(0): Monitor1 EDID data ---------------------------
(II) RADEON(0): Manufacturer: SNY  Model: 1470  Serial#: 9087407
(II) RADEON(0): Year: 2000  Week: 49
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) RADEON(0): Sync:  Separate  Composite  SyncOnGreen
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 33  vert.: 24
(II) RADEON(0): Gamma: 2.50
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.625 redY: 0.340   greenX: 0.280 greenY: 0.605
(II) RADEON(0): blueX: 0.155 blueY: 0.070   whiteX: 0.283 whiteY: 0.298
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 720x400@88Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@56Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@87Hz (interlaced)
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1280x1024@75Hz
(II) RADEON(0): 1152x870@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) RADEON(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) RADEON(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) RADEON(0): #3: hsize: 1152  vsize 864  refresh: 85  vid: 22897
(II) RADEON(0): #4: hsize: 1280  vsize 1024  refresh: 75  vid: 36737
(II) RADEON(0): #5: hsize: 1280  vsize 960  refresh: 75  vid: 20353
(II) RADEON(0): #6: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 94.5 MHz   Image Size:  312 x 234 mm
(II) RADEON(0): h_active: 1024  h_sync: 1072  h_sync_end 1168
h_blank_end 1376 h_border:0
(II) RADEON(0): v_active: 768  v_sync: 769  v_sync_end 772 v_blanking:
808 v_border: 0
(II) RADEON(0): Ranges: V min: 48  V max: 120 Hz, H min: 30  H max: 85
kHz, PixClock max
 240 MHz
(II) RADEON(0): Monitor name: CPD-E200
(II) RADEON(0): Serial No: 9087407
(II) RADEON(0): End of Monitor1 EDID data --------------------
(II) RADEON(0): 
(II) RADEON(0): Primary Display == Type 1
(II) RADEON(0): Clone Display == Type 1
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): Clone modes validation ------------ 
(II) RADEON(0): CPD-E200: Using default hsync range of 28.00-33.00 kHz
(II) RADEON(0): CPD-E200: Using default vrefresh range of 43.00-72.00 Hz
(II) RADEON(0): Clock range:  12.00 to 350.00 MHz
(II) RADEON(0): Not using default mode "640x350" (hsync out of range)
(II) RADEON(0): Not using default mode "320x175" (hsync out of range)
(II) RADEON(0): Not using default mode "640x400" (hsync out of range)
(II) RADEON(0): Not using default mode "320x200" (hsync out of range)
(II) RADEON(0): Not using default mode "720x400" (hsync out of range)
(II) RADEON(0): Not using default mode "360x200" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "320x240" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "320x240" (hsync out of range)
(II) RADEON(0): Not using default mode "640x480" (hsync out of range)
(II) RADEON(0): Not using default mode "320x240" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "400x300" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "400x300" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "400x300" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "400x300" (hsync out of range)
(II) RADEON(0): Not using default mode "800x600" (hsync out of range)
(II) RADEON(0): Not using default mode "400x300" (hsync out of range)
(II) RADEON(0): Not using default mode "1024x768" (hsync out of range)
Comment 1 Mike A. Harris 2004-10-21 06:08:21 EDT
Please attach the entire X server log and config file to the bug
report as individual uncompressed file attachments using the link
below.

Setting bug status to "NEEDINFO"
Comment 2 Bob T. 2004-10-21 07:44:08 EDT
Created attachment 105583 [details]
xorg.conf
Comment 3 Bob T. 2004-10-21 07:45:51 EDT
Created attachment 105584 [details]
Xorg.0.log without Option "NoDDC" "true"
Comment 4 Bob T. 2004-10-21 07:46:55 EDT
Created attachment 105585 [details]
Xorg.0.log with Option "NoDDC" "true"
Comment 5 Mike A. Harris 2005-04-11 15:24:21 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.